Search for %s

  1. Search 7.x for %s
  2. Search 9.5.x for %s
  3. Search 8.9.x for %s
  4. Search 11.x for %s
  5. Search main for %s
  6. Other projects
Title Object type File name Summary
CommonCollectionFilterAccessTestPatternsTrait::doTestCollectionFilterAccessForPublishableEntities function core/modules/jsonapi/tests/src/Traits/CommonCollectionFilterAccessTestPatternsTrait.php Implements ::testCollectionFilterAccess() for permission + status access.
CommonTestController class core/modules/system/tests/modules/common_test/src/Controller/CommonTestController.php Controller routines for common_test routes.
CommonTestController.php file core/modules/system/tests/modules/common_test/src/Controller/CommonTestController.php
CommonTestController::attachments function core/modules/system/tests/modules/common_test/src/Controller/CommonTestController.php Returns a response with early rendering in common_test_page_attachments.
CommonTestController::destination function core/modules/system/tests/modules/common_test/src/Controller/CommonTestController.php Prints a destination query parameter.
CommonTestController::jsAndCssQuerystring function core/modules/system/tests/modules/common_test/src/Controller/CommonTestController.php Adds a JavaScript file and a CSS file with a query string appended.
CommonTestController::typeLinkActiveClass function core/modules/system/tests/modules/common_test/src/Controller/CommonTestController.php Returns links to the current page, with and without query strings.
common_test.css file core/modules/system/tests/modules/common_test/common_test.css /* This file is for testing CSS file inclusion, no contents are necessary. */
common_test.info.yml file core/modules/system/tests/modules/common_test/common_test.info.yml core/modules/system/tests/modules/common_test/common_test.info.yml
common_test.libraries.yml file core/modules/system/tests/modules/common_test/common_test.libraries.yml core/modules/system/tests/modules/common_test/common_test.libraries.yml
common_test.module file core/modules/system/tests/modules/common_test/common_test.module Helper module for the Common tests.
common_test.print.css file core/modules/system/tests/modules/common_test/common_test.print.css /* This file is for testing CSS file inclusion, no contents are necessary. */
common_test.routing.yml file core/modules/system/tests/modules/common_test/common_test.routing.yml core/modules/system/tests/modules/common_test/common_test.routing.yml
common_test.services.yml file core/modules/system/tests/modules/common_test/common_test.services.yml core/modules/system/tests/modules/common_test/common_test.services.yml
common_test_cron function core/modules/system/tests/modules/common_test/common_test.module Implements hook_cron().
common_test_cron_helper.info.yml file core/modules/system/tests/modules/common_test_cron_helper/common_test_cron_helper.info.yml core/modules/system/tests/modules/common_test_cron_helper/common_test_cron_helper.info.yml
common_test_cron_helper.module file core/modules/system/tests/modules/common_test_cron_helper/common_test_cron_helper.module Helper module for the testCronExceptions in addition to common_test module.
common_test_cron_helper_cron function core/modules/system/tests/modules/common_test_cron_helper/common_test_cron_helper.module Implements hook_cron().
common_test_drupal_alter_alter function core/modules/system/tests/modules/common_test/common_test.module Implements hook_TYPE_alter().
common_test_js_alter function core/modules/system/tests/modules/common_test/common_test.module Implements hook_js_alter().
common_test_js_settings_alter function core/modules/system/tests/modules/common_test/common_test.module Implements hook_js_settings_alter().
common_test_library_info_alter function core/modules/system/tests/modules/common_test/common_test.module Implements hook_library_info_alter().
common_test_library_info_build function core/modules/system/tests/modules/common_test/common_test.module Implements hook_library_info_build().
common_test_module_implements_alter function core/modules/system/tests/modules/common_test/common_test.module Implements hook_module_implements_alter().
common_test_page_attachments function core/modules/system/tests/modules/common_test/common_test.module Implements hook_page_attachments().
common_test_page_attachments_alter function core/modules/system/tests/modules/common_test/common_test.module Implements hook_page_attachments_alter().
common_test_preprocess function core/modules/system/tests/modules/common_test/common_test.module Implements MODULE_preprocess().
common_test_preprocess_common_test_render_element function core/modules/system/tests/modules/common_test/common_test.module Implements MODULE_preprocess_HOOK().
common_test_theme function core/modules/system/tests/modules/common_test/common_test.module Implements hook_theme().
CompiledRoute::$numParts property core/lib/Drupal/Core/Routing/CompiledRoute.php The number of parts in the path of this route.
CompiledRoute::getNumParts function core/lib/Drupal/Core/Routing/CompiledRoute.php Returns the number of parts in this route's path.
CompiledRoute::__construct function core/lib/Drupal/Core/Routing/CompiledRoute.php Constructs a new compiled route object.
CompiledRoute::__serialize function core/lib/Drupal/Core/Routing/CompiledRoute.php
CompiledRoute::__unserialize function core/lib/Drupal/Core/Routing/CompiledRoute.php
ComplexDataConstraint class core/lib/Drupal/Core/Validation/Plugin/Validation/Constraint/ComplexDataConstraint.php Complex data constraint.
ComplexDataConstraint.php file core/lib/Drupal/Core/Validation/Plugin/Validation/Constraint/ComplexDataConstraint.php
ComplexDataConstraint::$properties property core/lib/Drupal/Core/Validation/Plugin/Validation/Constraint/ComplexDataConstraint.php An array of constraints for contained properties, keyed by property name.
ComplexDataConstraint::getDefaultOption function core/lib/Drupal/Core/Validation/Plugin/Validation/Constraint/ComplexDataConstraint.php @todo Add method return type declaration.
ComplexDataConstraint::getRequiredOptions function core/lib/Drupal/Core/Validation/Plugin/Validation/Constraint/ComplexDataConstraint.php @todo Add method return type declaration.
ComplexDataConstraint::__construct function core/lib/Drupal/Core/Validation/Plugin/Validation/Constraint/ComplexDataConstraint.php
ComplexDataConstraintValidator class core/lib/Drupal/Core/Validation/Plugin/Validation/Constraint/ComplexDataConstraintValidator.php Validates complex data.
ComplexDataConstraintValidator.php file core/lib/Drupal/Core/Validation/Plugin/Validation/Constraint/ComplexDataConstraintValidator.php
ComplexDataConstraintValidator::validate function core/lib/Drupal/Core/Validation/Plugin/Validation/Constraint/ComplexDataConstraintValidator.php
ComplexDataConstraintValidatorTest class core/tests/Drupal/KernelTests/Core/TypedData/ComplexDataConstraintValidatorTest.php Tests ComplexData validation with both valid and invalid values.
ComplexDataConstraintValidatorTest.php file core/tests/Drupal/KernelTests/Core/TypedData/ComplexDataConstraintValidatorTest.php
ComplexDataConstraintValidatorTest::$typedData property core/tests/Drupal/KernelTests/Core/TypedData/ComplexDataConstraintValidatorTest.php The typed data manager to use.
ComplexDataConstraintValidatorTest::setUp function core/tests/Drupal/KernelTests/Core/TypedData/ComplexDataConstraintValidatorTest.php
ComplexDataConstraintValidatorTest::testValidation function core/tests/Drupal/KernelTests/Core/TypedData/ComplexDataConstraintValidatorTest.php Tests the ComplexData validation constraint validator.
ComplexDataDefinitionBase class core/lib/Drupal/Core/TypedData/ComplexDataDefinitionBase.php Base class for complex data definitions.
ComplexDataDefinitionBase.php file core/lib/Drupal/Core/TypedData/ComplexDataDefinitionBase.php

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.